using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.IO;

namespace WebsiteInfo
{
    public partial class frmWebsite : Form
    {
        HttpWebRequest wReq;
        HttpWebResponse wResp;
        Stream rStream;

        public frmWebsite()
        {
            InitializeComponent();
        }

        private void btnGet_Click(object sender, EventArgs e)
        {
            txtContent.Text = "";
            txtHeader.Text = "";
            // Place the web request to the server by specifying the URL
            wReq = (HttpWebRequest)WebRequest.Create(txtUrl.Text);
            // No need for a persistant connection
            wReq.KeepAlive = false;
            // The link that referred us to the URL
            wReq.Referer = txtReferrer.Text;
            // The user agent of the browser
            wReq.UserAgent = txtUserAgent.Text;
            // Get the response from the server
            wResp = (HttpWebResponse)wReq.GetResponse();
            // Display the header of the response
            txtHeader.Text = wResp.Headers.ToString();
            
            // Get a stream to read the body of the response
            rStream = wResp.GetResponseStream();
            // Needed for looping through the buffer
            int bufCount = 0;
            // Buffer in which we're going to store data coming from the server
            byte[] byteBuf = new byte[1024];
            // Loop as long as there's data in the buffer
            do
            {
                // Fill the buffer with data
                bufCount = rStream.Read(byteBuf, 0, byteBuf.Length);
                
                if (bufCount != 0)
                {
                    // Transform the bytes into ASCII text and append to the textbox
                    txtContent.AppendText(Encoding.ASCII.GetString(byteBuf, 0, bufCount));
                }
            }
            while (bufCount > 0);
        }
    }
}